--[[Description:
Are you tired to answering certain static popups by clicking "Yes" or "Okey" button every-time you buy item for token or you leaving instance group? This add-on automatically click on "yes" and dismiss static pop-ups like buy items for token, sell items to refund tokens, leave instance party etc. These static pop-ups can be configured for auto-answering (pick&click "yes" button) some "danger" are disabled by default, enable them on your own risk.

Supported pop-ups:

[list][*]CONFIRM_FOLLOWER_UPGRADE enabled by default
[*]CONFIRM_PURCHASE_TOKEN_ITEM enabled by default
[*]CONFIRM_REFUND_TOKEN_ITEM enabled by default
[*]CONFIRM_HIGH_COST_ITEM disabled by default
[*]CONFIRM_UPGRADE_ITEM enabled by default
[*]CONFIRM_PURCHASE_NONREFUNDABLE_ITEM disabled by default
[*]CONFIRM_MAIL_ITEM_UNREFUNDABLE disabled by default
[*]DELETE_ITEM delete all items except rare, epic and legendary disabled by default
[*]DELETE_GOOD_ITEM delete rare, epic and legendary item where need to be typped in DELETE (or localized variant) to confirm delete disabled by default.
[*]VOID_STORAGE_DEPOSIT_CONFIRMATION disabled by default
[*]CONFIRM_LEAVE_INSTANCE_PARTY enabled by default
[*]CONFIRM_RESET_INSTANCES enabled by default
[*]AUTOEQUIP_BIND and EQUIP_BIND enabled by default
[*]ABANDON_QUEST and ABANDON_QUEST_WITH_ITEMS enabled by default
[*]DANGEROUS_MISSIONS enabled by default
[*]CONFIRM_BINDER disabled by default
[*]CONFIRM_LEARN_SPEC enabled by default
[*]CONFIRM_REMOVE_FRIEND enabled by default
[*]SENDMONEY disabled by default
[*]CONFIRM_DELETE_TRANSMOG_OUTFIT enabled by default
[*]TALENTS_INVOLUNTARILY_RESET enabled by default
[*]CONFIRM_DELETE_SELECTED_MACRO enabled by default
[*]CONFIRM_DELETE_EQUIPMENT_SET enabled by default
[*]CONFIRM_RECRUIT_FOLLOWER enabled by default
[*]DEACTIVATE_FOLLOWER enabled by default
[*]CONFIRM_MERCHANT_TRADE_TIMER_REMOVAL enabled by default
[*]SPELL_CONFIRMATION_PROMPT enabled by default
[*]RESURRECT_NO_TIMER disabled by default
[*]RECOVER_CORPSE disabled by default
[*]DEATH disabled by default
[*]OUTFITTER_CONFIRM_SET_CURRENT enabled by default
[*]LOOT_BIND enabled by default

[/list]

]]
--[[Known issues:

[list][*]None known.[/list]

]]
--[[To-Do:

[list][*]Empty.[/list]

]]

--[[ Version: 01-26 YMD: 2016.07.25

[list][*]DANGEROUS_SCRIPTS_WARNING is blacklisted because it can't be implemented. Blizzard implemented function as protected. So it will nag all macro users who run scripts in macros.
[*]Added TALENTS_INVOLUNTARILY_RESET, CONFIRM_DELETE_TRANSMOG_OUTFIT, CONFIRM_DELETE_EQUIPMENT_SET, CONFIRM_RECRUIT_FOLLOWER, DEACTIVATE_FOLLOWER, CONFIRM_DELETE_SELECTED_MACRO, CONFIRM_MERCHANT_TRADE_TIMER_REMOVAL, SPELL_CONFIRMATION_PROMPT, RESURRECT_NO_TIMER, RECOVER_CORPSE, DEATH, OUTFITTER_CONFIRM_SET_CURRENT, and LOOT_BIND[/list]

]]
--[[ Version: 01-24 YMD: 2016.07.19

[list][*]Added SEND_MONEY.
TOC update for Legion patch 7.0.3[/list]

]]
--[[ Version: 01-22 YMD: 2016.07.13

[list][*]Fix fatal test preventing confirm any configured pop-up.
[*]Added CONFIRM_REMOVE_FRIEND.[/list]

]]
--[[ Version: 01-20 YMD: 2016.07.12

[list][*]Added CONFIRM_LEARN_SPEC.
[*]Detection of static pop-up just with single "Cancel" button, it will not be hinted for adding into this addon.[/list]

]]
--[[ Version: 01-18 YMD: 2016.07.12

[list][*]Added ABANDON_QUEST_WITH_ITEMS.
[*]Options are now sorted by static pop-up constant name.[/list]

]]
--[[ Version: 01-16 YMD: 2016.07.03

[list][*]Verbose output now prints only message when static-popup is not enabled in config or is not supported with instruction how to request implementation.[/list]

]]
--[[ Version: 01-14 YMD: 2016.06.26

[list][*]Added ABANDON_QUEST,DANGEROUS_MISSIONS.
[*]Fix verbose output for not supported static pop-up with instructions how-to request changes in my addon.[/list]

]]
--[[ Version: 01-12 YMD: 2016.06.21

[list][*]In verbose mode, for not supported static popups will be printed to chat constant used in presented static popup. This ease mode for adding new supported static popups. Just write constant and I will add it into next release.[/list]

]]
--[[ Version: 01-10 YMD: 2016.06.18

[list][*]Added AUTOEQUIP_BIND for BoE items.[/list]

]]
--[[ Version: 01-08 YMD: 2016.06.13

[list][*]Fix, correct load order for AceGUI and AceConfig libraries.[/list]

]]
--[[ Version: 01-06 YMD: 2016.06.08

[list][*]Added DELETE_GOOD_ITEM it auto-fill DELETE into edit box. You are warned if enable it and then drop your rare, epic or legendary item it will get instantly lost!
[*]Added VOID_STORAGE_DEPOSIT_CONFIRMATION.[/list]

]]
--[[ Version: 01-04 YMD: 2016.05.22

[list][*]Added CONFIRM_RESET_INSTANCES.
[*]Added CONFIRM_MAIL_ITEM_UNREFUNDABLE.[/list]

]]
--[[ Version: 01-02 YMD: 2016.04.09

[list][*]Redesigned defaults for pop-ups some need to be enabled, because can be dangerous. Enable it at own will, like auto-confirm on delete.[/list]

]]
--[[ Version: 01-00 YMD: 2016.04.08

[list][*]Initial design.[/list]

]]
